<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.bonus.canteen.core.supply.mapper.DrpAllocStallMapper">
    <!-- 通过档口id列表获取档口名称 -->
    <select id="getStallNameByIdSet" resultType="java.lang.String">
        SELECT
        GROUP_CONCAT(stall_name SEPARATOR ',') AS stallName
        FROM
        alloc_stall
        WHERE stall_id in
        <foreach collection="stallIdSet" item="stallId" separator="," open="(" close=")">
            #{stallId}
        </foreach>
    </select>

</mapper>
